Skip to navigation

List the access rules.

View as Markdown
Retrieve a list of access rules.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

subjectTypestringOptional
The type of resource we want to filter by.
subjectIdslist of stringsOptional
The ids of the subjects to filter the response for.
limitintegerOptional1-500Defaults to 50
The maximum number of entries to return.
offsetintegerOptional
The offset of the first item returned in the collection.
lastUpdatedstringOptional
Filter by last update time.
includeDeletedbooleanOptionalDefaults to false
True to include deleted objects in the result.
clusterIdstringOptionalformat: "uuid"

Filter using the Universally Unique Identifier (UUID) of the cluster.

scopeIdstringOptional
The scope resource id that we want to filter by.
sortOrderenumOptionalDefaults to asc
Sort results in descending or ascending order.
Allowed values:
sortByenumOptional
Sort results by a parameter.
filterBylist of stringsOptional

Filter results by a parameter. Use the format field-name operator value. Operators are == Equals, != Not equals, <= Less than or equal, >= Greater than or equal, =@ contains, !@ Does not contains, =^ Starts with and =$ Ends with. Dates are in ISO 8601 timestamp format and available for operators ==, !=, <= and >=.

searchstringOptional
Filter results by a free text search.

Response

Executed successfully.
totalRecordsinteger
displayRecordsinteger
accessRuleslist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error